using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsContractType {
        public FmsContractType() {
            FmsContract = new HashSet<FmsContract>();
        }

        //계약구분
        [Display(Name = "계약 종류 코드"), Key]
        public int ContractTypeId { get; set; }
        [Display(Name = "코드 명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsContractType")]
        public virtual ICollection<FmsContract> FmsContract { get; set; }
    }
}
